osdir.com


[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

PyPy support breaking CPython compatibility?


On 1/30/18 2:35 PM, Etienne Robillard wrote:
> Hi,
>
> I managed to patch Schevo and Durus to run under PyPy 5.9. However, 
> I'm afraid the changes is breaking Python 2.7 compatibility.

I'm curious what you had to change for PyPy? (Unless it's a Py2/Py3 
thing as Chris mentions.)
>
> I'm not sure how I should distribute my changes to the respective 
> projects.

You should make pull requests to the projects so they can incorporate 
the changes.

--Ned.
>
> Since I decided to use more PyPy in my Django projects, should I drop 
> Python 2.7 support and release the experimental code on PyPi ?
>
>
> What do you think?
>
> Etienne
>
>